<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,m05bBD.m05bDescripcion,m05bDescripcionEJB.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
	
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>

<HTML>

<head>
		<%
			String tabla, cod, desc;
			tabla = request.getParameter("Codigo");
			cod = request.getParameter("Cod");
			desc = request.getParameter("desc");
			m05bDescripcion des = new m05bDescripcion();
			if (cod!=null){
			   if (!cod.equals("undefined")){
					session.removeAttribute("m05bDescripcion");
					if (desc==null)
					    desc="";
					if (desc.equals("undefined"))
					    desc="";
					des.setDes_descripcion(desc);
					des.setDes_codigo(cod);
			   }
			 
				 try {  	
			        m05DescripcionPK primaryKey = new m05DescripcionPK();
					primaryKey.des_tabla = Long.parseLong(tabla);
					primaryKey.des_codigo = cod;
					InitialContext ctx2 = new InitialContext();
					m05DescripcionHome descripcionEBHome = (m05DescripcionHome) ctx2.lookup("m05Descripcion");
					m05Descripcion descripcionEB = descripcionEBHome.findByPrimaryKey(primaryKey);
					descripcionEB.setDescripcion(des);
					session.setAttribute("m05bDescripcion", des);
				} 
				catch (Exception SQLException) {
					m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
					miLog.addTraza(SQLException);
				}
			}
		%>

		<% if (tabla.equals(m05bConstantes.DESC_COLORES))  { %>
			<title><%= resTit.getString("titRelColores")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_CONCEPTOSGASTOS)) { %>
			<title><%= resTit.getString("titRelCptosGastos")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_CONCEPTOSTASAS)) { %>
			<title><%= resTit.getString("titRelCptosTasas")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_DESTINOSBAJA)) { %>
			<title><%= resTit.getString("titRelDestBaja")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_ESTACIONESITV)) { %>
			<title><%= resTit.getString("titRelEstacionesITV")%></title>
		<%  } else if (tabla.equals(m05bConstantes.DESC_MARCAS)) { %>
			<title><%= resTit.getString("titRelMarcas")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_MODALIDADES)) { %>
			<title><%= resTit.getString("titRelModalidades")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_INCIDENCIAS)) { %>
			<title><%= resTit.getString("titRelIncidencias")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_RANGOS)) { %>
			<title><%= resTit.getString("titRelRangos")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_UBICACIONES)) { %>
			<title><%= resTit.getString("titRelUbicaciones")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_REGADQUISICION)) { %>
			<title><%= resTit.getString("titRelRegAdquis")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_SITUACIONES)) { %>
			<title><%= resTit.getString("titRelSituaciones")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_SIT_TARJETAS)) { %>
			<title><%= resTit.getString("titRelSitTarjetas")%></title>
		<%	} else if (tabla.equals(m05bConstantes.DESC_RAMAS)) { %>
			<title><%= resTit.getString("titRelRamas")%></title>
		<%	} %> 
		
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
</head>

<BODY onkeydown="cancelaEnter();" style="cursor: wait" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
	<SCRIPT language=JavaScript>
			var urlIdioma;		//URL recarga en funcion del idioma
			var rutaCabecera;	//Camino de migas
			var detActual;		//Ventana actual
	<% if (tabla.equals(m05bConstantes.DESC_COLORES))  { %>
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_COLORES%>";
			detActual = '<%=resCM.getString("cmRelColores")%>';
	<%	} else if (tabla.equals(m05bConstantes.DESC_CONCEPTOSGASTOS)) { %>
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_CONCGASTOS%>";
			detActual = '<%=resCM.getString("cmRelCptosGastos")%>';
	<%	} else if (tabla.equals(m05bConstantes.DESC_CONCEPTOSTASAS)) { %>
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_CONCTASAS%>";
			detActual = '<%=resCM.getString("cmRelCptosTasas")%>';
	<%	} else if (tabla.equals(m05bConstantes.DESC_DESTINOSBAJA)) { %>
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_DESTINOSBAJA%>";
			detActual = '<%=resCM.getString("cmRelDestBaja")%>';
	<%	} else if (tabla.equals(m05bConstantes.DESC_ESTACIONESITV)) { %>
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_ITV%>";
			detActual = '<%=resCM.getString("cmRelEstacionesITV")%>';
	<%	} else if (tabla.equals(m05bConstantes.DESC_MARCAS)) { %>
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_MARCAS%>";
			detActual = '<%=resCM.getString("cmRelMarcas")%>';
	<%	} else if (tabla.equals(m05bConstantes.DESC_MODALIDADES)) { %>
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_MODALIDADES%>";
			detActual = '<%=resCM.getString("cmRelModalidades")%>';
	<%	} else if (tabla.equals(m05bConstantes.DESC_INCIDENCIAS)) { %>
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_INCIDENCIAS%>";
			detActual = '<%=resCM.getString("cmRelIncidencias")%>';
	<%	} else if (tabla.equals(m05bConstantes.DESC_RANGOS)) { %>
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_RANGOS%>";
			detActual = '<%=resCM.getString("cmRelRangos")%>';
	<%	} else if (tabla.equals(m05bConstantes.DESC_UBICACIONES)) { %>
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_UBICACIONES%>";
			detActual = '<%=resCM.getString("cmRelUbicaciones")%>';
	<%	} else if (tabla.equals(m05bConstantes.DESC_SITUACIONES)) { %>
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_SITUACIONES%>";
			detActual = '<%=resCM.getString("cmRelSituaciones")%>';
	<%	} else if (tabla.equals(m05bConstantes.DESC_REGADQUISICION)) { %>
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_REGIMENES%>";
			detActual = '<%=resCM.getString("cmRelRegAdquis")%>';
	<%	} else if (tabla.equals(m05bConstantes.DESC_SIT_TARJETAS)) { %>
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_SITTARJETAS%>";
			detActual = '<%=resCM.getString("cmRelSitTarjetas")%>';
	<%	} else if (tabla.equals(m05bConstantes.DESC_RAMAS)) { %>
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_RAMAS%>";
			detActual = '<%=resCM.getString("cmRelRamas")%>';
	<%	} %>
	     rutaCabecera="";
		//rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
 </SCRIPT>
 <%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="FormRelDescripciones" METHOD="POST">
					 <TABLE class="general">
					    <tr>
					      <td width="90%" align="right"> 
					        <input type="button" class="boton" name="<%= res.getString("etBOT_PRESENTAR")%>" value="<%= res.getString("etBOT_PRESENTAR")%>" ONCLICK="JavaScript:fncImprimir('<%=tabla%>'); return false" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPRESENTAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
				          <td width="10%" align="right"> 
				          	<input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo('<%=tabla%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />
				          </td>
						</tr>
					 </TABLE>
					 <p>
					 <TABLE class="general">
					    <tr > 
					       <td class="searchTitle" width="30%"><%= res.getString("etCodigo")%></td>
					       <td class="searchTitle" width="70%"><%= res.getString("etDescripcion")%></td>
					    </tr>
					 </TABLE>
					 <TABLE class="general">
					<%
						int contador = 0;
						String sql = "", sql2 = "";
						String codigo="", descripcion="";
						java.sql.Connection conn = null;
						PreparedStatement pstmt = null;
						ResultSet rs= null;
					try{
						m05bConexion miConex = new m05bConexion();
						conn = miConex.getConnection();
						 campoTexto="";
						if(!idiomaSes.equals("es")&& !tabla.equals(m05bConstantes.DESC_MARCAS))campoTexto="E";
						session.removeAttribute("Descripcion");
						sql = "select COD_DESC_99, NVL("+campoTexto+"DESCRIP_99,DESCRIP_99) from M0599T00";

					 	if ((tabla.equals("")) || (tabla == null))
							sql2 = sql2;
						else{
							sql2 = sql2 + " where COD_TAB_99 = '" + tabla+ "'";
						}
						if ( (tabla.equals(m05bConstantes.DESC_MARCAS)) ||
								(tabla.equals(m05bConstantes.DESC_INCIDENCIAS)) )
							sql = sql + sql2 + " order by to_number(COD_DESC_99)";
						else
							sql = sql + sql2 + " order by COD_DESC_99";
						pstmt = conn.prepareStatement(sql);
						rs = pstmt.executeQuery();

						contador=0;
						while (rs.next() == true){
							codigo = rs.getString(1);
							descripcion = rs.getString(2);
							if (descripcion==null)
					                descripcion=""; 
					        ++contador;
						%>
							<tr>
							   <td class=inputFieldTitle width="30%"><FONT size=2><A href="JavaScript:fncModificar('<%=tabla%>','<%=codigo%>')"><%=codigo%></A></FONT></td>
					   		   <td class=inputFieldTitle width="70%"><FONT size=2><%=descripcion%></FONT></td>
							</tr>
						<%}%>
							<tr></tr>
						    <tr align="center">
								<td class="inputField" colspan="2"><%= res.getString("etTotal")%> <%=contador%></td>
						    </tr>
						</TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	</td>
	</tr>
</table>
	<% 	if (	(tabla.equals(m05bConstantes.DESC_COLORES)) ||
	   	   			(tabla.equals(m05bConstantes.DESC_CONCEPTOSTASAS)) ||
					(tabla.equals(m05bConstantes.DESC_DESTINOSBAJA)) ||
					(tabla.equals(m05bConstantes.DESC_ESTACIONESITV)) ||
					(tabla.equals(m05bConstantes.DESC_MARCAS)) ||
					(tabla.equals(m05bConstantes.DESC_MODALIDADES)) ||
					(tabla.equals(m05bConstantes.DESC_INCIDENCIAS))  )  {
			int ncod = Integer.parseInt(codigo)+1;
			codigo = "" + ncod;
	   } else {
	   	   codigo = "***";
	   }
	%>
<SCRIPT language=JavaScript>
	function fncModificar(tabla,codigo) {
		var docu = document.FormRelDescripciones;
        docu.action="m05bGenerarDescripcionServlet?Tabla=" + tabla + "&Codigo=" + codigo + "&Mensaje=false";
        docu.submit();
    } // Fin funcion fncModificar
	function fncImprimir(tabla) {
		var docu = document.FormRelDescripciones;
        docu.action="m05bDescripcionesPDFJsp.jsp?Tabla=" + tabla;
        docu.submit();
    } // Fin funcion fncImprimir
	function fncNuevo(tabla) {
		var docu = document.FormRelDescripciones;
   		docu.action="m05bDescripcionesJsp.jsp?Tabla=" + tabla + "&Codigo=" + '<%=codigo%>'+"&Mensaje=false&Accion=I&Modelo=";
   		docu.submit();
	}  // Fin funcion fncNuevo
    setTimeout('initSlide();', 1);
</SCRIPT>
<%
} catch (Exception SQLException) {
	m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
	miLog.addTraza(SQLException);
} finally {
	rs.close();
	pstmt.close();
	conn.close();
}%>
</BODY>
</HTML>